FCGear InvoluteRack

From FreeCAD Documentation
Revision as of 09:36, 26 September 2022 by Roy 043 (talk | contribs) (Marked this version for translation)

FCGear InvoluteRack

Menu location
Gear → Involute Rack
Workbenches
FCGear
Default shortcut
None
Introduced in version
v0.16
See also
FCGear InvoluteGear

Description

Gear racks are used to convert a rotary motion into a linear motion or vice versa. The following examples show the different applications:

  • A rack with gear on at a retaining weir.
  • Various rack systems of rack-and-pinion railways.
  • Rack and pinion steering in a vehicle.
  • Rack and pinion winch as mechanical hoist (e.g. car jack).
  • Pneumatic rack and pinion drives used to control valves in pipeline transport.

From left to right: Spur gearing, helical gearing, double helical gearing

Usage

  1. Switch to the FCGear Workbench.
  2. There are several ways to invoke the command:
    • Press the Involute Rack button in the toolbar.
    • Select the Gear → Involute Rack option from the menu.
  3. Change the gear parameter to the required conditions (see Properties → Data below).

Properties

An FCGear InvoluteRack object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

base

  • Dataadd_endings (Bool): If True, then the total length of the rack is teeth * pitch, otherwise the rack starts with a tooth-flank.
  • Dataheight (Length): Value of the gear width.
  • Datamodule (Length): Module is the ratio of the reference diameter of the gear divided by the number of teeth (see also the information in Notes).
  • Datateeth (Integer): Number of teeth.
  • Datathickness (Length): Height from the tooth root to the lower side of the rod.

computed

  • Datatransverse_pitch (Length): (read-only) Pitch in the transverse plane (see also the information in Notes).

fillets

  • Datahead_fillet (Float):
  • Dataroot_fillet (Float):

helical

  • Databeta (Angle): With the helix angle β a helical gear is created (positive value → rotation direction right, negative value → rotation direction left).
  • Datadouble_helix (Bool): True creates a double helix gear (see also the information in Notes)
  • Dataproperties_from_tool (Bool): If helix angle β is given and properties_from-tool is enabled, gear parameters are internally recomputed for the rotated gear.

involute

  • Datapressure_angle (Angle): Default is 20° (see also the information in Notes).

precision

  • Datasimplified (Bool): True generates a simplified display (without teeth).

tolerance

  • Dataclearance (Float): Default is 0,25 (see also the information in Notes).
  • Datahead (Float): Default is 0,00. This value is used to change the tooth height.

version

  • Dataversion (String):

Notes

  • transverse_pitch: The value is the result of multiplication of module * pi. This means for the standard involute rack of FCGear: 15 (teeth) * 3,14 (transverse_pitch) is 47.12 mm. See also module further below.
  • clearance: At a gear pair, clearance is the distance between the tooth tip of the first gear and the tooth root of the second gear.
  • double_helix: To use the double helical gearing the helix angle β (beta) for the helical gearing must first be entered.
  • module: Using ISO (International Organization for Standardization) guidelines, Module size is designated as the unit representing gear tooth-sizes. Module (m): m = 1 (p = 3.1416), m = 2 (p = 6.2832), m = 4 (p = 12.566). If you multiply Module by Pi, you can obtain Pitch (p). Pitch is the distance between corresponding points on adjacent teeth. The result of the multiplication is displayed in transverse_pitch
  • pressure_parameter: Only change the parameter, if sufficient knowledge of the gear geometry is available.

Useful formulas

See FCGear InvoluteGear.

Scripting

Use the power of python to automate your gear modeling:

import FreeCAD as App
import freecad.gears.commands
gear = freecad.gears.commands.CreateInvoluteRack.create()
gear.teeth = 20
gear.beta = 20
gear.height = 10
gear.double_helix = True
App.ActiveDocument.recompute()
Gui.SendMsgToActiveView("ViewFit")